Subject: PCI IBIS model

From: Paul Gregory <[email-masked]>
Date: Mon, 25 Aug 97 8:51:36 MDT

I am looking for an IBIS model of a PCI spec compliant device.  I am working
with PCI v2.1 and IBIS v2.1. I would like a model that matches the min and
max requirements for a 3.3v system, assuming Vcc min =3.0 and Vcc max = 3.6
as specified in the spec.  I am not looking for a specific device 
implementation, but a generic PCI min/max device.

Is such a model already available, or do I need to create it myself?

 -- Paul Gregory

   phone: (208) 396-5086               USmail: Hewlett-Packard
     fax: (208) 396-4122                       M/S 143
   email: [email-masked]                  11311 Chinden Blvd.
                                               Boise, ID  83714

---

From: Paul Gregory <[email-masked]>
Date: Mon, 25 Aug 97 11:46:26 MDT

I apologize for not making my request more clear the 
first time.

Rather than a specific PCI implementation, I am looking for 
a PCI IBIS model that models exactly the PCI spec, that is, 
the v/i curves (and other sections) track exactly along the 
lines of the spec limits.  Usually any PCI implementation will 
be between the min/max boundaries; I want a model that is 
exactly on the boundaries. I would like a model that includes 
ramps, diodes, pull up/down, and comp/pkg parameters. Am I 
missing other parts of the model that should be in it?

Thanks for your help.

 -- Paul Gregory

---

From: Andy Ingraham <[email-masked]>
Date: Mon, 25 Aug 97 15:50:23 EDT

I'm sure someone must have made one by now.  PCI devices are described
in the PCI spec in terms of V/I curves, which would make them ideal
for IBIS representation.  95% of it should be trivial.

>                            I would like a model that includes 

Don't forget ramp (slew) rates.

You might want a couple of different models, since the overshoot clamp
diode in 5V PCI is optional.  One with the diode, one without.

Regards,
Andy

---

From: "Mellitz, Richard" <[email-masked]>
Date: Mon, 25 Aug 1997 23:01:10 -0400

>Paul,
>
>Making an I/V curve track the maximum and minimum curves may not give you the
>corners of performance you are looking for. Instantaneous impedance, dv/di
>could theoretically be open or short. i.e. rho = +/- 1. What I've done is
>look at various chip mfgs i/v curves and make a composite of the corners.
>Incidently I only need to go to this extreme if I'm pushing reccomended PCI
practices...else I just use the models that come with Hspice. 

You also need to make some calls on the wave shape even though there are
>spec's on slew.
>
>... Richard Mellitz, NCR
>
>----------
>From: 	Paul Gregory[SMTP:[email-masked]]
>Sent: 	Monday, August 25, 1997 12:46 PM
>To: 	[email-masked]
>Cc: 	[email-masked]
>Subject: 	Re: PCI IBIS Model
>
>